%global momorel 5
%global abi_ver 1.9.1

%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname configuration
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:        Pure Ruby scoped configuration files
Name:           rubygem-%{gemname}
Version:        1.1.0
Release:        %{momorel}m%{?dist}
Group:          Development/Languages
License:        Ruby
URL:            http://codeforpeople.com/lib/ruby/configuration/
Source0:        http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
NoSource:       0
Source1:        %{gemname}-LICENSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) = %{abi_ver}
Requires:       rubygems
BuildRequires:  rubygems
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
Ruby configuration gem provides a mechanism for configuring ruby programs
with ruby configuration files.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.0-5m)
- full rebuild for mo7 release

* Sun Aug  8 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.1.0-4m)
- rebuild against ruby-1.9.2
-- add Requires: ruby(abi) = 1.9.1

* Fri Aug  6 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.1.0-3m)
- rebuild against ruby-1.9.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Oct 23 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.1.0-1m)
- update 1.1.0

* Wed Aug 12 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.5-1m)
- import from Fedora to Momonga

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.0.5-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.0.5-2
- Fix up documentation list
- Use geminstdir macro where appropriate
- Do not move examples around
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.0.5-1
- Package generated by gem2rpm
- Move examples and README into documentation
- Fix up License
- Strip useless shebang
